---
description: "Transform TEI to CIDOC CRM."
title: "XTriples"
image: /img/documentation/xtriples-logo-(c-owner).png
---

<ToolButtons toolName="XTriples"/>

XTriples is a generic webservice to extract :Term[RDF]{#resource-description-framework} statements from :Term[XML]{#xml} resources, developed by [Torsten Schrade](https://orcid.org/0000-0002-0953-2818) and colleagues at the [Academy of Sciences and Literature](http://www.adwmainz.de/), Mainz.

LINCS provides an interface for XTriples to transform :Term[TEI]{#text-encoding-initiative} documents into :Term[CIDOC CRM]{#cidoc-crm}-compliant data for publication in [ResearchSpace](/docs/tools/researchspace/) or elsewhere. LINCS XTriples can create linked data from TEI personographies, and “ographies” for places and organizations. Transformation for events, bibliographies, poems, prose, and letters is pending.

<div className="banner">
  <img src="/img/documentation/xtriples-logo-(c-owner).png" alt="" />
</div>

<div className="primary-button-row">
  <PrimaryButton
    link="https://app.xtriples.lincsproject.ca/exist/apps/xtriples/index.html"
    buttonName="To the Tool"
    />
  <PrimaryButton
    link="/docs/tools/xtriples/xtriples-documentation"
    buttonName="To the Documentation"></PrimaryButton>
  <PrimaryButton
    link="https://gitlab.com/calincs/conversion/xtriples"
    buttonName="To GitLab"
    />
</div>

## XTriples and LINCS

XTriples users can transform their :Term[TEI data]{#tei-data} into :Term[Resource Description Framework (RDF)]{#resource-description-framework} data to contribute it to LINCS. 

The current transformation options rely on documents that use the standard LINCS entity templates with :Term[Uniform Resource Identifiers (URIs)]{#uniform-resource-identifier} representing :Term[entities]{#entity} (persons, concepts, organizations, places, or titles). Users can insert these URIs into their LINCS entity templates using [LEAF-Writer](/docs/tools/leaf-writer/).

:::note

Currently, XTriples transforms placeographies and personographies, but will transform bibliographies, eventographies, orgographies, letters, poems, and prose to CIDOC CRM by the end of summer 2023.

:::

## Prerequisites

- You need LEAF template files (records about people, places, organizations, or events) created using LEAF-Writer or files with tagged :Term[entity-matched]{#entity-matching} references to people created from one of LEAF-Writer’s Letter, Poem, and Prose templates.
- You need experience encoding in TEI and reading TEI files.

Xtriples supports the following inputs and outputs:

- **Input:** TEI-XML
- **Output:** CIDOC-CRM XML and CIDOC-CRM TTL

XTriples is based on the original [XTriples](https://xtriples.lod.academy/index.html) codebase, created by Torsten Schrade and the Akademie der Wissenschaften und der Literatur's Digtiale Akademie team. Information about the team that developed [XTriples](/docs/about-lincs/credits/tools-credits#xtriples) is available on the Tool Credits page.
